/* BLOCK: Locations */

.block-locations .main-wrapper {
    display: grid;
    grid-template-columns: 31.25rem 1fr;
    grid-template-rows: auto auto 1fr;
    column-gap: 3.125rem;
    align-items: flex-start;
    position: relative;
}

.block-locations .search-form {
    grid-column: 1;
    grid-row: 1;
}

.block-locations .ajax-filters .search-body .actions > .btn.primary {
    --theme-btn-text-primary: var(--c-bg-light);
    --theme-btn-bg-primary: var(--c-bg-dark-tint-1);
    border: none;
}

.block-locations .ajax-info {
    grid-column: 1;
    grid-row: 2;
}

.block-locations .items-wrapper {
    grid-column: 1;
    grid-row: 3;
}

.block-locations .map-wrapper {
    grid-column: 2;
    grid-row: 1 / span 3;
    align-self: start;
    position: sticky;
    top: calc(var(--header-height) + 3.125rem);
    height: calc(100vh - 6.25rem - var(--header-height));
    transition: 300ms ease-out;
    transition-property: top, height;
}

.site-header.hide ~ .site-content .block-locations .map-wrapper {
    top: 3.125rem;
    height: calc(100vh - 6.25rem);
}

.block-locations .map-wrapper .gmap {
    border-radius: 1.563rem;
    height: 100%;
    overflow:hidden;
    position: relative;
    border: none !important;
}

.block-locations .map-wrapper .gmap::after{
    content: "";
    position: absolute;
    inset: 0;
    /* border: 1px solid rgb(from var(--c-text-dark) r g b / .15); */
    border-radius: inherit;
    pointer-events: none;
    z-index: 10;
    box-shadow: inset 0 0 0 1px rgb(from var(--c-text-dark) r g b / .15);
}

.block-locations .map-wrapper .gmap > div {
    background-color: transparent !important;
}

.block-locations .search-form {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 1.563rem;
    padding: 1.875rem;
    border-radius: 1.5625rem;

    width: 100%;
    max-width: 31.25rem;
}

.block-locations .search-form .search-head {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.block-locations .search-form .search-title {
    font-size: var(--font-28);
}

.block-locations .search-form .btn-use-location {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    color: var(--theme-clr-fg);
    text-decoration: none;
    font-size: var(--font-15);
    font-weight: 600;
}

.block-locations .search-form.theme--dark .btn-use-location svg {
    color: var(--theme-clr-fg);
}

.block-locations .search-form .search-body {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 0.75rem;
}

.block-locations .search-form .search-body .input-wrapper {
    position:relative;
    display: flex;
    width: 100%;
}

.block-locations .search-form .search-body .input--search {
    width: 100%;
    font-size: var(--font-17-14);
    font-weight: 400;
    color: var(--c-text-dark);
    background-color: var(--c-bg-light);
    border: 1px solid rgb(from var(--c-text-dark) r g b / .15);
    border-radius: 0.9375rem;
    padding-block: 1.1rem;
    padding-right: 3.125rem;
    text-overflow: ellipsis;
}

.block-locations .search-form .search-submit {
    position: absolute;
    padding: 0;
    margin: 0;
    background: none;
    border: 0;
    border-radius: 50%;
    display: grid;
    place-items: center;
    top: 50%;
    transform: translateY(-50%);
    color: var(--c-primary);
    outline-offset: 0.5rem;
    right: 1.375rem;
}

.block-locations .search-form .search-submit svg {
    width: 1.0625rem;
    height: 1.0625rem;
}

.block-locations .search-form .input-wrapper--search.search-has-value .search-submit {
    position: absolute;
    cursor: pointer;
}

.block-locations .search-form .input-wrapper--search.search-has-value .search-submit svg {
    opacity: 0;
}

.block-locations .search-form .input-wrapper--search.search-has-value .search-submit::before,
.block-locations .search-form .input-wrapper--search.search-has-value .search-submit::after {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    width: 0.125rem;
    height: 1.0625rem;
    background-color: currentColor;
    border-radius: 0.125rem;
}

.block-locations .search-form .input-wrapper--search.search-has-value .search-submit::before {
    transform: translate(-50%, -50%) rotate(45deg);
}

.block-locations .search-form .input-wrapper--search.search-has-value .search-submit::after {
    transform: translate(-50%, -50%) rotate(-45deg);
}

.block-locations .search-form .search-body .btn.w-icon {
    padding: 1.375rem;
}

.block-locations .gmap {
    width: 100%;
    height: 650px;
}

.block-locations .ajax-response {
    display: flex;
    flex-direction: column;
    gap: 3.125rem;
}

.block-locations .location {
    border: 1px solid rgb(from var(--c-text-dark) r g b / 0.15);
    border-radius: 1.563rem;
    padding: 1.563rem;
}

/* .block-locations .location:not(.theme--dark):hover */
.block-locations .location.theme--dark {
    border-color: var(--c-primary);
}

.block-locations .location__tags {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    padding-bottom: 1.875rem;
    gap: 0.5rem;
    flex-wrap: wrap;
}

.block-locations .location__tags > * {
    border-radius: 0.5rem;
    padding: 0.625rem 0.75rem;
    border: 1px solid var(--c-border);
}

.block-locations .tag--type {
    color: var(--c-bg-dark-tint-1);
    font-size: var(--font-12-11);
    font-weight: 600;
}

.block-locations .location.theme--dark .tag--type {
    border-color: rgb(from var(--c-text-light) r g b / .15);
    color: var(--c-bg-light-tint-1);
}

.block-locations .location__status {
    display: flex;
    align-items: center;
    gap: 0.25rem;
    font-size: var(--font-12-11);
    font-weight: 600;
    margin-left: auto;
    color: var(--c-primary);
}

.block-locations .marker .location__status {
    color: var(--c-text-light);
}

.block-locations .location.theme--dark .location__status {
    border-color: rgb(from var(--c-text-light) r g b / .15);
    color: var(--c-text-light);
}

.block-locations .location__status::before {
    content:"";
    width: 0.5rem;
    height: 0.5rem;
    border-radius: 100vw;
}

.block-locations .location__status.status--low::before {
    background-color: #D32727;
}

.block-locations .location__status.status--medium::before {
    background-color: #F09C02;
}

.block-locations .location__status.status--high::before {
    background-color: #75BF43;
}

.block-locations .location__name {
    text-decoration: none;
    color: var(--c-text-dark);
}

.block-locations .location.theme--dark .location__name {
    color: var(--c-text-light);
}

.block-locations .location__address {
    padding-bottom: 1.563rem;
    padding-top: 1.25rem;
    margin:0;
    color: var(--c-primary);
    font-weight: 600;
    font-size: var(--font-12-11);
}

.block-locations .location.theme--dark .location__address {
    color: var(--c-bg-dark-tint-2);
}

.block-locations .location__values {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 0.625rem;
}

.block-locations .location__value {
    border-radius: 0.5rem;
    background-color: var(--c-bg-light-tint-1);
    color: var(--c-primary);
    font-size: var(--font-14-10);
    font-weight: 600;
    padding: 0.9375rem;
    text-align: center;
}

.block-locations .location.theme--dark .location__value {
    background-color: rgb(255 255 255 / .15);
    color: var(--c-text-light);
}

.block-locations .location__summary {
    color: var(--c-body);
    font-size: var(--font-12-11);
    padding-top: 1.5625rem;
    padding-bottom: 1.25rem;
    margin:0;
}

.block-locations .location.theme--dark .location__summary {
    color: var(--c-text-light);
}

.block-locations .location__summary strong {
    color: var(--c-primary);
}

.block-locations .location.theme--dark .location__summary strong {
    color: var(--c-bg-dark-tint-2);
}

.block-locations .location__highlights {
    color: var(--c-body);
    font-size: var(--font-12-11);
    margin:0;
}

.block-locations .location.theme--dark .location__highlights {
    color: var(--c-text-light);
}

.block-locations .location__highlights strong {
    color: var(--c-primary);
}

.block-locations .location.theme--dark .location__highlights strong {
    color: var(--c-bg-dark-tint-2);
}

.block-locations .location .cta-buttons {
    gap: 0.625rem;
    padding-top: 1.875rem;
    flex-wrap: wrap;
}

.block-locations .location .cta-buttons .btn {
    padding: 0.938rem 1.25rem;
    font-size: var(--font-14-11);
    border-radius: 0.75rem;
}

.block-locations .items-head {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-block: 3.125rem 1.875rem;
}

.block-locations .ajax-info {
    font-size: var(--font-15-14);
    color: var(--c-text-dark);
}

.block-locations .items-head .btn--clear {
    position: relative;
    font-size: var(--font-15);
    color: var(--c-bg-dark-tint-1);
    text-decoration: none;
    padding-left: 1rem;
}

.block-locations .items-head .btn--clear::before,
.block-locations .items-head .btn--clear::after {
    content: '';
    position: absolute;
    top: 50%;
    left: 0;
    width: 0.75rem;
    height: 1.5px;
    background-color: var(--c-bg-dark-tint-1);
    border-radius: 3px;
}

.block-locations .items-head .btn--clear::before {
    transform: translateY(-50%) rotate(45deg);
}

.block-locations .items-head .btn--clear::after {
    transform: translateY(-50%) rotate(-45deg);
}

.block-locations .items-head .btn--clear .filters-count {
    display: inline-grid;
    place-items: center;
    color: var(--c-primary);
    font-size: var(--font-12-11);
    width: 1.5rem;
    height: 1.5rem;
    border-radius: 50%;
    background-color: var(--c-bg-light-tint-1);
    margin-left: 0.625rem;
}

.block-locations .items-head .btn--clear .filters-count::before,
.block-locations .items-head .btn--clear .filters-count::after {
    content: unset;
}

.block-locations .load-more-btn {
    margin: 3.125rem auto 0;
}

.block-locations .location__opening {
    font-size: var(--font-12-11);
    font-weight: 600;
    color: var(--c-primary);
}

.block-locations .location.theme--dark .location__opening {
    border-color: rgb(from var(--c-text-light) r g b / .15);
    color: var(--c-text-light);
}

.block-locations .location__opening.is--open .message {
    color: var(--c-tertiary);
}

.block-locations .location__opening.is--closed .message {
    color: #D32727;
}

.block-locations .view-state {
    display: none !important;
}

.block-locations .view-switcher {
    display: flex;
    font-size: var(--font-13);
    font-weight: 600;
    line-height: 1.1;
    letter-spacing: -0.05em;
    color: var(--c-primary);
    background-color: var(--c-bg-light-tint-1);
    border-radius: 0.5rem;
    cursor: pointer;
}

.block-locations .view-switcher span {
    padding: 0.625rem 0.9375rem;
    border-radius: 0.5rem;
}

.block-locations .view-state:not(:checked) ~ .items-head .view-switcher span:first-child,
.block-locations .view-state:checked ~ .items-head .view-switcher span:last-child {
    background-color: var(--c-primary);
    color: var(--c-text-light);
}

.block-locations .selected-location {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
}

.block-locations .selected-location:empty {
    display: none;
}

.block-locations .location-close {
    display: none;
    width: 2rem;
    height: 2rem;
    padding: 0 !important;
    margin-left: auto;
    border-radius: 0.625rem;
    position: relative;
}

.block-locations .selected-location .location-close {
    display: block;
}

.block-locations .location-close::before,
.block-locations .location-close::after {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    width: 0.875rem;
    height: 2px;
    border-radius: 3rem;
    background-color: currentColor;
}

.block-locations .location-close::before {
    transform: translate(-50%, -50%) rotate(45deg);
}

.block-locations .location-close::after {
    transform: translate(-50%, -50%) rotate(-45deg);
}

.block-locations .search-form .search-body .actions {
    display: flex;
}

.block-locations :is(.btn--clear, .btn--filters) .filters-count {
    margin-left: 0.25em;
}

.block-locations :is(.btn--clear, .btn--filters) .filters-count::before {
    content: '(';
}

.block-locations :is(.btn--clear, .btn--filters) .filters-count::after {
    content: ')';
}

.block-locations :is(.btn--clear, .btn--filters) .filters-count:empty {
    display: none;
}

@media (hover: hover) and (pointer: fine) {
    .block-locations .location:not(.theme--dark):hover {
      border-color: var(--c-primary);
    }
}

@media screen and (width <= 620px) {
    .block-locations .main-wrapper {
        display: flex;
        align-items: stretch;
        flex-direction: column;
        gap: 1.25rem;
    }

    .block-locations .search-form {
        max-width: unset;
    }

    .block-locations .search-form .search-body .input--search {
        border-radius: 0.75rem;
        padding-block: 0.95rem;
        padding-right: 2rem;
    }

    .block-locations .search-form .search-submit {
        right: 1.1875rem;
    }

    .block-locations .search-form .search-submit svg {
        width: 0.875rem;
        height: 0.875rem;
    }

    .block-locations .items-head {
        margin: 0;
    }

    .block-locations .ajax-info {
        color: var(--c-primary);
        padding: 0.625rem 0.9375rem;
        border: 1px solid rgb(from var(--c-text-dark) r g b / 0.15);
        border-radius: 0.5rem;
    }

    .block-locations .ajax-response {
        gap: 1.25rem;
    }

    .block-locations .location {
        padding: 1.25rem;
        border-radius: 1.125rem;
    }

    .block-locations .location__tags {
        padding-bottom: 1.25rem;
    }

    .block-locations .location__address {
        padding-top: 0.9375rem;
        padding-bottom: 1.25rem;
    }

    .block-locations .location__value {
        padding: 0.75rem;
    }

    .block-locations .location__summary {
        padding-bottom: 0.9375rem;
        padding-top: 1.25rem;
    }

    .block-locations .location .cta-buttons {
        padding-top: 1.25rem;
    }

    .block-locations .location .cta-buttons .btn {
        padding: 0.75rem 0.9375rem;
        border-radius: 0.625rem;
    }

    .block-locations .search-form .btn-use-location {
        display: none;
    }

    .block-locations .search-form .search-body {
        flex-direction: column;
    }

    .block-locations .search-form .search-body {
        gap: 0.75rem;
    }

    .block-locations .search-form .search-body .actions {
        gap: 0.75rem;
        width: 100%;
    }

    .block-locations .search-form .search-body .actions .btn {
        flex: 1;
        justify-content: center;
        padding: 1.125rem 1.25rem;
    }

    .block-locations .ajax-filters .btn--my-location svg {
        max-width: 0.75rem;
        max-height: 0.75rem;
    }

    .block-locations .location__tags {
        gap: 0.375rem;
    }

    .block-locations .location__tags > * {
        padding: 0.5rem 0.625rem;
    }

    .block-locations .map-wrapper {
        position: static;
        width: 100%;
        height: auto;
        aspect-ratio: 0.7;
        max-height: 75vh;
    }

    .block-locations .view-state:not(:checked) ~ .items-wrapper,
    .block-locations .view-state:checked ~ .map-wrapper,
    .block-locations .view-state:checked ~ .selected-location {
        display: none !important;
    }

    .block-locations .map-wrapper .gmap {
        border-radius: 1.125rem;
    }
}

